Mailinglist Archive: opensuse-updates (56 mails)

< Previous Next >
openSUSE-SU-2012:0898-1: bash: avoid possible buffer overflow
openSUSE Security Update: bash: avoid possible buffer overflow
______________________________________________________________________________

Announcement ID: openSUSE-SU-2012:0898-1
Rating: low
References: #770795
Cross-References: CVE-2012-3410
Affected Products:
openSUSE 12.1
openSUSE 11.4
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

Bash was fixed to avoid a possible buffer overflow when
expanding the /dev/fd prefix with e.g. the test builtin
(bnc#770795) (CVE-2012-3410)

Due to _FORTIFY_SOURCE=2 enablement, the exploit will only
abort the shell.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.1:

zypper in -t patch openSUSE-2012-408

- openSUSE 11.4:

zypper in -t patch openSUSE-2012-408

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.1 (i586 x86_64):

bash-4.2-1.14.1
bash-debuginfo-4.2-1.14.1
bash-debugsource-4.2-1.14.1
bash-devel-4.2-1.14.1
bash-loadables-4.2-1.14.1
bash-loadables-debuginfo-4.2-1.14.1
libreadline6-6.2-1.14.1
libreadline6-debuginfo-6.2-1.14.1
readline-devel-6.2-1.14.1

- openSUSE 12.1 (x86_64):

bash-debuginfo-32bit-4.2-1.14.1
libreadline6-32bit-6.2-1.14.1
libreadline6-debuginfo-32bit-6.2-1.14.1
readline-devel-32bit-6.2-1.14.1

- openSUSE 12.1 (noarch):

bash-doc-4.2-1.14.1
bash-lang-4.2-1.14.1
readline-doc-6.2-1.14.1

- openSUSE 12.1 (ia64):

bash-debuginfo-x86-4.2-1.14.1
bash-x86-4.2-1.14.1
libreadline6-debuginfo-x86-6.2-1.14.1
libreadline6-x86-6.2-1.14.1

- openSUSE 11.4 (i586 x86_64):

bash-4.1-20.28.1
bash-debuginfo-4.1-20.28.1
bash-debugsource-4.1-20.28.1
bash-devel-4.1-18.28.1
bash-loadables-4.1-18.28.1
bash-loadables-debuginfo-4.1-18.28.1
libreadline6-6.1-18.28.1
libreadline6-debuginfo-6.1-18.28.1
readline-devel-6.1-18.28.1

- openSUSE 11.4 (x86_64):

bash-debuginfo-32bit-4.1-20.28.1
libreadline6-32bit-6.1-18.28.1
libreadline6-debuginfo-32bit-6.1-18.28.1
readline-devel-32bit-6.1-18.28.1

- openSUSE 11.4 (noarch):

bash-doc-4.1-18.28.1
bash-lang-4.1-20.28.1
readline-doc-6.1-18.28.1

- openSUSE 11.4 (ia64):

bash-debuginfo-x86-4.1-20.28.1
bash-x86-4.1-20.28.1
libreadline6-debuginfo-x86-6.1-18.28.1
libreadline6-x86-6.1-18.28.1


References:

http://support.novell.com/security/cve/CVE-2012-3410.html
https://bugzilla.novell.com/770795


< Previous Next >
This Thread
  • No further messages